ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/gvpe/configure
(Generate patch)

Comparing gvpe/configure (file contents):
Revision 1.38 by pcg, Sun Dec 2 00:39:06 2007 UTC vs.
Revision 1.44 by pcg, Fri Aug 7 20:58:15 2009 UTC

1341 combinations are: "tincd/bsd" "tincd/solaris" 1341 combinations are: "tincd/bsd" "tincd/solaris"
1342 "tincd/mingw" "tincd/raw_socket" "tincd/uml_socket"; 1342 "tincd/mingw" "tincd/raw_socket" "tincd/uml_socket";
1343 Broken combinations are: "tincd/cygwin"; The default 1343 Broken combinations are: "tincd/cygwin"; The default
1344 is to autodetect. 1344 is to autodetect.
1345 --enable-static-daemon enable statically linked daemon. 1345 --enable-static-daemon enable statically linked daemon.
1346 --enable-rohc enable robust header compression (rfc3095).
1347 --enable-icmp enable icmp protocol support (default disabled). 1346 --disable-icmp enable icmp protocol support (default enabled).
1348 --enable-tcp enable tcp protocol support (default disabled). 1347 --disable-tcp enable tcp protocol support (default enabled).
1349 --enable-dns enable dns tunnel protocol support (DOES NOT WORK).
1350 --enable-http-proxy enable http proxy connect support (default 1348 --disable-http-proxy enable http proxy connect support (default enabled).
1349 --enable-dns enable dns tunnel protocol support (default
1351 disabled). 1350 disabled).
1352 --enable-hmac-length=BYTES 1351 --enable-hmac-length=BYTES
1353 use a hmac of length BYTES bytes (default 12). 1352 use a hmac of length BYTES bytes (default 12).
1354 Allowed values are 4, 8, 12, 16. 1353 Allowed values are 4, 8, 12, 16.
1355 --enable-rand-length=BYTES 1354 --enable-rand-length=BYTES
1356 use BYTES bytes of extra randomness (default 8). 1355 use BYTES bytes of extra randomness (default 8).
1357 Allowed values are 0, 4, 8. 1356 Allowed values are 0, 4, 8.
1358 --enable-max-mtu=BYTES enable mtu sizes upto BYTES bytes (default 1500). 1357 --enable-max-mtu=BYTES enable mtu sizes upto BYTES bytes (default 1500).
1359 Use 9100 for jumbogram support. 1358 Use 9100 for jumbogram support.
1360 --disable-compression Disable compression support. 1359 --disable-compression Disable compression support.
1361 --enable-cipher Select the symmetric cipher (default "aes-128"). 1360 --enable-cipher=CIPHER Select the symmetric cipher (default "aes-128").
1362 Must be one of "bf" (blowfish), "aes-128" 1361 Must be one of "bf" (blowfish), "aes-128"
1363 (rijndael), "aes-192" or "aes-256". 1362 (rijndael), "aes-192" or "aes-256".
1364 --enable-digest Select the digest algorithm to use (default 1363 --enable-digest=CIPHER Select the digest algorithm to use (default
1365 "ripemd160"). Must be one of "sha512", "sha256", 1364 "ripemd160"). Must be one of "sha512", "sha256",
1365 "sha1" (somewhat insecure), "ripemd160", "md5"
1366 "sha1", "ripemd160", "md5" or "md4" (insecure). 1366 (insecure) or "md4" (insecure).
1367 1367
1368Optional Packages: 1368Optional Packages:
1369 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes] 1369 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
1370 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no) 1370 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
1371 --with-gnu-ld assume the C compiler uses GNU ld default=no 1371 --with-gnu-ld assume the C compiler uses GNU ld default=no
2223fi 2223fi
2224 2224
2225 2225
2226# Define the identity of the package. 2226# Define the identity of the package.
2227 PACKAGE=gvpe 2227 PACKAGE=gvpe
2228 VERSION=2.01 2228 VERSION=2.22
2229 2229
2230 2230
2231cat >>confdefs.h <<_ACEOF 2231cat >>confdefs.h <<_ACEOF
2232#define PACKAGE "$PACKAGE" 2232#define PACKAGE "$PACKAGE"
2233_ACEOF 2233_ACEOF
5077ac_ext=c 5077ac_ext=c
5078ac_cpp='$CPP $CPPFLAGS' 5078ac_cpp='$CPP $CPPFLAGS'
5079ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' 5079ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5080ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 5080ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5081ac_compiler_gnu=$ac_cv_c_compiler_gnu 5081ac_compiler_gnu=$ac_cv_c_compiler_gnu
5082if test -n "$ac_tool_prefix"; then
5083 # Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
5084set dummy ${ac_tool_prefix}gcc; ac_word=$2
5085{ echo "$as_me:$LINENO: checking for $ac_word" >&5
5086echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
5087if test "${ac_cv_prog_CC+set}" = set; then
5088 echo $ECHO_N "(cached) $ECHO_C" >&6
5089else
5090 if test -n "$CC"; then
5091 ac_cv_prog_CC="$CC" # Let the user override the test.
5092else
5093as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
5094for as_dir in $PATH
5095do
5096 IFS=$as_save_IFS
5097 test -z "$as_dir" && as_dir=.
5098 for ac_exec_ext in '' $ac_executable_extensions; do
5099 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
5100 ac_cv_prog_CC="${ac_tool_prefix}gcc"
5101 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
5102 break 2
5103 fi
5104done
5105done
5106IFS=$as_save_IFS
5107
5108fi
5109fi
5110CC=$ac_cv_prog_CC
5111if test -n "$CC"; then
5112 { echo "$as_me:$LINENO: result: $CC" >&5
5113echo "${ECHO_T}$CC" >&6; }
5114else
5115 { echo "$as_me:$LINENO: result: no" >&5
5116echo "${ECHO_T}no" >&6; }
5117fi
5118
5119
5120fi
5121if test -z "$ac_cv_prog_CC"; then
5122 ac_ct_CC=$CC
5123 # Extract the first word of "gcc", so it can be a program name with args.
5124set dummy gcc; ac_word=$2
5125{ echo "$as_me:$LINENO: checking for $ac_word" >&5
5126echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
5127if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
5128 echo $ECHO_N "(cached) $ECHO_C" >&6
5129else
5130 if test -n "$ac_ct_CC"; then
5131 ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
5132else
5133as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
5134for as_dir in $PATH
5135do
5136 IFS=$as_save_IFS
5137 test -z "$as_dir" && as_dir=.
5138 for ac_exec_ext in '' $ac_executable_extensions; do
5139 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
5140 ac_cv_prog_ac_ct_CC="gcc"
5141 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
5142 break 2
5143 fi
5144done
5145done
5146IFS=$as_save_IFS
5147
5148fi
5149fi
5150ac_ct_CC=$ac_cv_prog_ac_ct_CC
5151if test -n "$ac_ct_CC"; then
5152 { echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
5153echo "${ECHO_T}$ac_ct_CC" >&6; }
5154else
5155 { echo "$as_me:$LINENO: result: no" >&5
5156echo "${ECHO_T}no" >&6; }
5157fi
5158
5159 if test "x$ac_ct_CC" = x; then
5160 CC=""
5161 else
5162 case $cross_compiling:$ac_tool_warned in
5163yes:)
5164{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
5165whose name does not start with the host triplet. If you think this
5166configuration is useful to you, please write to autoconf@gnu.org." >&5
5167echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
5168whose name does not start with the host triplet. If you think this
5169configuration is useful to you, please write to autoconf@gnu.org." >&2;}
5170ac_tool_warned=yes ;;
5171esac
5172 CC=$ac_ct_CC
5173 fi
5174else
5175 CC="$ac_cv_prog_CC"
5176fi
5177
5178if test -z "$CC"; then
5179 if test -n "$ac_tool_prefix"; then
5180 # Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
5181set dummy ${ac_tool_prefix}cc; ac_word=$2
5182{ echo "$as_me:$LINENO: checking for $ac_word" >&5
5183echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
5184if test "${ac_cv_prog_CC+set}" = set; then
5185 echo $ECHO_N "(cached) $ECHO_C" >&6
5186else
5187 if test -n "$CC"; then
5188 ac_cv_prog_CC="$CC" # Let the user override the test.
5189else
5190as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
5191for as_dir in $PATH
5192do
5193 IFS=$as_save_IFS
5194 test -z "$as_dir" && as_dir=.
5195 for ac_exec_ext in '' $ac_executable_extensions; do
5196 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
5197 ac_cv_prog_CC="${ac_tool_prefix}cc"
5198 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
5199 break 2
5200 fi
5201done
5202done
5203IFS=$as_save_IFS
5204
5205fi
5206fi
5207CC=$ac_cv_prog_CC
5208if test -n "$CC"; then
5209 { echo "$as_me:$LINENO: result: $CC" >&5
5210echo "${ECHO_T}$CC" >&6; }
5211else
5212 { echo "$as_me:$LINENO: result: no" >&5
5213echo "${ECHO_T}no" >&6; }
5214fi
5215
5216
5217 fi
5218fi
5219if test -z "$CC"; then
5220 # Extract the first word of "cc", so it can be a program name with args.
5221set dummy cc; ac_word=$2
5222{ echo "$as_me:$LINENO: checking for $ac_word" >&5
5223echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
5224if test "${ac_cv_prog_CC+set}" = set; then
5225 echo $ECHO_N "(cached) $ECHO_C" >&6
5226else
5227 if test -n "$CC"; then
5228 ac_cv_prog_CC="$CC" # Let the user override the test.
5229else
5230 ac_prog_rejected=no
5231as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
5232for as_dir in $PATH
5233do
5234 IFS=$as_save_IFS
5235 test -z "$as_dir" && as_dir=.
5236 for ac_exec_ext in '' $ac_executable_extensions; do
5237 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
5238 if test "$as_dir/$ac_word$ac_exec_ext" = "/usr/ucb/cc"; then
5239 ac_prog_rejected=yes
5240 continue
5241 fi
5242 ac_cv_prog_CC="cc"
5243 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
5244 break 2
5245 fi
5246done
5247done
5248IFS=$as_save_IFS
5249
5250if test $ac_prog_rejected = yes; then
5251 # We found a bogon in the path, so make sure we never use it.
5252 set dummy $ac_cv_prog_CC
5253 shift
5254 if test $# != 0; then
5255 # We chose a different compiler from the bogus one.
5256 # However, it has the same basename, so the bogon will be chosen
5257 # first if we set CC to just the basename; use the full file name.
5258 shift
5259 ac_cv_prog_CC="$as_dir/$ac_word${1+' '}$@"
5260 fi
5261fi
5262fi
5263fi
5264CC=$ac_cv_prog_CC
5265if test -n "$CC"; then
5266 { echo "$as_me:$LINENO: result: $CC" >&5
5267echo "${ECHO_T}$CC" >&6; }
5268else
5269 { echo "$as_me:$LINENO: result: no" >&5
5270echo "${ECHO_T}no" >&6; }
5271fi
5272
5273
5274fi
5275if test -z "$CC"; then
5276 if test -n "$ac_tool_prefix"; then
5277 for ac_prog in cl.exe
5278 do
5279 # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
5280set dummy $ac_tool_prefix$ac_prog; ac_word=$2
5281{ echo "$as_me:$LINENO: checking for $ac_word" >&5
5282echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
5283if test "${ac_cv_prog_CC+set}" = set; then
5284 echo $ECHO_N "(cached) $ECHO_C" >&6
5285else
5286 if test -n "$CC"; then
5287 ac_cv_prog_CC="$CC" # Let the user override the test.
5288else
5289as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
5290for as_dir in $PATH
5291do
5292 IFS=$as_save_IFS
5293 test -z "$as_dir" && as_dir=.
5294 for ac_exec_ext in '' $ac_executable_extensions; do
5295 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
5296 ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
5297 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
5298 break 2
5299 fi
5300done
5301done
5302IFS=$as_save_IFS
5303
5304fi
5305fi
5306CC=$ac_cv_prog_CC
5307if test -n "$CC"; then
5308 { echo "$as_me:$LINENO: result: $CC" >&5
5309echo "${ECHO_T}$CC" >&6; }
5310else
5311 { echo "$as_me:$LINENO: result: no" >&5
5312echo "${ECHO_T}no" >&6; }
5313fi
5314
5315
5316 test -n "$CC" && break
5317 done
5318fi
5319if test -z "$CC"; then
5320 ac_ct_CC=$CC
5321 for ac_prog in cl.exe
5322do
5323 # Extract the first word of "$ac_prog", so it can be a program name with args.
5324set dummy $ac_prog; ac_word=$2
5325{ echo "$as_me:$LINENO: checking for $ac_word" >&5
5326echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
5327if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
5328 echo $ECHO_N "(cached) $ECHO_C" >&6
5329else
5330 if test -n "$ac_ct_CC"; then
5331 ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
5332else
5333as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
5334for as_dir in $PATH
5335do
5336 IFS=$as_save_IFS
5337 test -z "$as_dir" && as_dir=.
5338 for ac_exec_ext in '' $ac_executable_extensions; do
5339 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
5340 ac_cv_prog_ac_ct_CC="$ac_prog"
5341 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
5342 break 2
5343 fi
5344done
5345done
5346IFS=$as_save_IFS
5347
5348fi
5349fi
5350ac_ct_CC=$ac_cv_prog_ac_ct_CC
5351if test -n "$ac_ct_CC"; then
5352 { echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
5353echo "${ECHO_T}$ac_ct_CC" >&6; }
5354else
5355 { echo "$as_me:$LINENO: result: no" >&5
5356echo "${ECHO_T}no" >&6; }
5357fi
5358
5359
5360 test -n "$ac_ct_CC" && break
5361done
5362
5363 if test "x$ac_ct_CC" = x; then
5364 CC=""
5365 else
5366 case $cross_compiling:$ac_tool_warned in
5367yes:)
5368{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
5369whose name does not start with the host triplet. If you think this
5370configuration is useful to you, please write to autoconf@gnu.org." >&5
5371echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
5372whose name does not start with the host triplet. If you think this
5373configuration is useful to you, please write to autoconf@gnu.org." >&2;}
5374ac_tool_warned=yes ;;
5375esac
5376 CC=$ac_ct_CC
5377 fi
5378fi
5379
5380fi
5381
5382
5383test -z "$CC" && { { echo "$as_me:$LINENO: error: no acceptable C compiler found in \$PATH
5384See \`config.log' for more details." >&5
5385echo "$as_me: error: no acceptable C compiler found in \$PATH
5386See \`config.log' for more details." >&2;}
5387 { (exit 1); exit 1; }; }
5388
5389# Provide some information about the compiler.
5390echo "$as_me:$LINENO: checking for C compiler version" >&5
5391ac_compiler=`set X $ac_compile; echo $2`
5392{ (ac_try="$ac_compiler --version >&5"
5393case "(($ac_try" in
5394 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5395 *) ac_try_echo=$ac_try;;
5396esac
5397eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5398 (eval "$ac_compiler --version >&5") 2>&5
5399 ac_status=$?
5400 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5401 (exit $ac_status); }
5402{ (ac_try="$ac_compiler -v >&5"
5403case "(($ac_try" in
5404 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5405 *) ac_try_echo=$ac_try;;
5406esac
5407eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5408 (eval "$ac_compiler -v >&5") 2>&5
5409 ac_status=$?
5410 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5411 (exit $ac_status); }
5412{ (ac_try="$ac_compiler -V >&5"
5413case "(($ac_try" in
5414 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5415 *) ac_try_echo=$ac_try;;
5416esac
5417eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5418 (eval "$ac_compiler -V >&5") 2>&5
5419 ac_status=$?
5420 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5421 (exit $ac_status); }
5422
5423{ echo "$as_me:$LINENO: checking whether we are using the GNU C compiler" >&5
5424echo $ECHO_N "checking whether we are using the GNU C compiler... $ECHO_C" >&6; }
5425if test "${ac_cv_c_compiler_gnu+set}" = set; then
5426 echo $ECHO_N "(cached) $ECHO_C" >&6
5427else
5428 cat >conftest.$ac_ext <<_ACEOF
5429/* confdefs.h. */
5430_ACEOF
5431cat confdefs.h >>conftest.$ac_ext
5432cat >>conftest.$ac_ext <<_ACEOF
5433/* end confdefs.h. */
5434
5435int
5436main ()
5437{
5438#ifndef __GNUC__
5439 choke me
5440#endif
5441
5442 ;
5443 return 0;
5444}
5445_ACEOF
5446rm -f conftest.$ac_objext
5447if { (ac_try="$ac_compile"
5448case "(($ac_try" in
5449 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5450 *) ac_try_echo=$ac_try;;
5451esac
5452eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5453 (eval "$ac_compile") 2>conftest.er1
5454 ac_status=$?
5455 grep -v '^ *+' conftest.er1 >conftest.err
5456 rm -f conftest.er1
5457 cat conftest.err >&5
5458 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5459 (exit $ac_status); } && {
5460 test -z "$ac_c_werror_flag" ||
5461 test ! -s conftest.err
5462 } && test -s conftest.$ac_objext; then
5463 ac_compiler_gnu=yes
5464else
5465 echo "$as_me: failed program was:" >&5
5466sed 's/^/| /' conftest.$ac_ext >&5
5467
5468 ac_compiler_gnu=no
5469fi
5470
5471rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5472ac_cv_c_compiler_gnu=$ac_compiler_gnu
5473
5474fi
5475{ echo "$as_me:$LINENO: result: $ac_cv_c_compiler_gnu" >&5
5476echo "${ECHO_T}$ac_cv_c_compiler_gnu" >&6; }
5477GCC=`test $ac_compiler_gnu = yes && echo yes`
5478ac_test_CFLAGS=${CFLAGS+set}
5479ac_save_CFLAGS=$CFLAGS
5480{ echo "$as_me:$LINENO: checking whether $CC accepts -g" >&5
5481echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6; }
5482if test "${ac_cv_prog_cc_g+set}" = set; then
5483 echo $ECHO_N "(cached) $ECHO_C" >&6
5484else
5485 ac_save_c_werror_flag=$ac_c_werror_flag
5486 ac_c_werror_flag=yes
5487 ac_cv_prog_cc_g=no
5488 CFLAGS="-g"
5489 cat >conftest.$ac_ext <<_ACEOF
5490/* confdefs.h. */
5491_ACEOF
5492cat confdefs.h >>conftest.$ac_ext
5493cat >>conftest.$ac_ext <<_ACEOF
5494/* end confdefs.h. */
5495
5496int
5497main ()
5498{
5499
5500 ;
5501 return 0;
5502}
5503_ACEOF
5504rm -f conftest.$ac_objext
5505if { (ac_try="$ac_compile"
5506case "(($ac_try" in
5507 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5508 *) ac_try_echo=$ac_try;;
5509esac
5510eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5511 (eval "$ac_compile") 2>conftest.er1
5512 ac_status=$?
5513 grep -v '^ *+' conftest.er1 >conftest.err
5514 rm -f conftest.er1
5515 cat conftest.err >&5
5516 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5517 (exit $ac_status); } && {
5518 test -z "$ac_c_werror_flag" ||
5519 test ! -s conftest.err
5520 } && test -s conftest.$ac_objext; then
5521 ac_cv_prog_cc_g=yes
5522else
5523 echo "$as_me: failed program was:" >&5
5524sed 's/^/| /' conftest.$ac_ext >&5
5525
5526 CFLAGS=""
5527 cat >conftest.$ac_ext <<_ACEOF
5528/* confdefs.h. */
5529_ACEOF
5530cat confdefs.h >>conftest.$ac_ext
5531cat >>conftest.$ac_ext <<_ACEOF
5532/* end confdefs.h. */
5533
5534int
5535main ()
5536{
5537
5538 ;
5539 return 0;
5540}
5541_ACEOF
5542rm -f conftest.$ac_objext
5543if { (ac_try="$ac_compile"
5544case "(($ac_try" in
5545 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5546 *) ac_try_echo=$ac_try;;
5547esac
5548eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5549 (eval "$ac_compile") 2>conftest.er1
5550 ac_status=$?
5551 grep -v '^ *+' conftest.er1 >conftest.err
5552 rm -f conftest.er1
5553 cat conftest.err >&5
5554 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5555 (exit $ac_status); } && {
5556 test -z "$ac_c_werror_flag" ||
5557 test ! -s conftest.err
5558 } && test -s conftest.$ac_objext; then
5559 :
5560else
5561 echo "$as_me: failed program was:" >&5
5562sed 's/^/| /' conftest.$ac_ext >&5
5563
5564 ac_c_werror_flag=$ac_save_c_werror_flag
5565 CFLAGS="-g"
5566 cat >conftest.$ac_ext <<_ACEOF
5567/* confdefs.h. */
5568_ACEOF
5569cat confdefs.h >>conftest.$ac_ext
5570cat >>conftest.$ac_ext <<_ACEOF
5571/* end confdefs.h. */
5572
5573int
5574main ()
5575{
5576
5577 ;
5578 return 0;
5579}
5580_ACEOF
5581rm -f conftest.$ac_objext
5582if { (ac_try="$ac_compile"
5583case "(($ac_try" in
5584 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5585 *) ac_try_echo=$ac_try;;
5586esac
5587eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5588 (eval "$ac_compile") 2>conftest.er1
5589 ac_status=$?
5590 grep -v '^ *+' conftest.er1 >conftest.err
5591 rm -f conftest.er1
5592 cat conftest.err >&5
5593 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5594 (exit $ac_status); } && {
5595 test -z "$ac_c_werror_flag" ||
5596 test ! -s conftest.err
5597 } && test -s conftest.$ac_objext; then
5598 ac_cv_prog_cc_g=yes
5599else
5600 echo "$as_me: failed program was:" >&5
5601sed 's/^/| /' conftest.$ac_ext >&5
5602
5603
5604fi
5605
5606rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5607fi
5608
5609rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5610fi
5611
5612rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5613 ac_c_werror_flag=$ac_save_c_werror_flag
5614fi
5615{ echo "$as_me:$LINENO: result: $ac_cv_prog_cc_g" >&5
5616echo "${ECHO_T}$ac_cv_prog_cc_g" >&6; }
5617if test "$ac_test_CFLAGS" = set; then
5618 CFLAGS=$ac_save_CFLAGS
5619elif test $ac_cv_prog_cc_g = yes; then
5620 if test "$GCC" = yes; then
5621 CFLAGS="-g -O2"
5622 else
5623 CFLAGS="-g"
5624 fi
5625else
5626 if test "$GCC" = yes; then
5627 CFLAGS="-O2"
5628 else
5629 CFLAGS=
5630 fi
5631fi
5632{ echo "$as_me:$LINENO: checking for $CC option to accept ISO C89" >&5
5633echo $ECHO_N "checking for $CC option to accept ISO C89... $ECHO_C" >&6; }
5634if test "${ac_cv_prog_cc_c89+set}" = set; then
5635 echo $ECHO_N "(cached) $ECHO_C" >&6
5636else
5637 ac_cv_prog_cc_c89=no
5638ac_save_CC=$CC
5639cat >conftest.$ac_ext <<_ACEOF
5640/* confdefs.h. */
5641_ACEOF
5642cat confdefs.h >>conftest.$ac_ext
5643cat >>conftest.$ac_ext <<_ACEOF
5644/* end confdefs.h. */
5645#include <stdarg.h>
5646#include <stdio.h>
5647#include <sys/types.h>
5648#include <sys/stat.h>
5649/* Most of the following tests are stolen from RCS 5.7's src/conf.sh. */
5650struct buf { int x; };
5651FILE * (*rcsopen) (struct buf *, struct stat *, int);
5652static char *e (p, i)
5653 char **p;
5654 int i;
5655{
5656 return p[i];
5657}
5658static char *f (char * (*g) (char **, int), char **p, ...)
5659{
5660 char *s;
5661 va_list v;
5662 va_start (v,p);
5663 s = g (p, va_arg (v,int));
5664 va_end (v);
5665 return s;
5666}
5667
5668/* OSF 4.0 Compaq cc is some sort of almost-ANSI by default. It has
5669 function prototypes and stuff, but not '\xHH' hex character constants.
5670 These don't provoke an error unfortunately, instead are silently treated
5671 as 'x'. The following induces an error, until -std is added to get
5672 proper ANSI mode. Curiously '\x00'!='x' always comes out true, for an
5673 array size at least. It's necessary to write '\x00'==0 to get something
5674 that's true only with -std. */
5675int osf4_cc_array ['\x00' == 0 ? 1 : -1];
5676
5677/* IBM C 6 for AIX is almost-ANSI by default, but it replaces macro parameters
5678 inside strings and character constants. */
5679#define FOO(x) 'x'
5680int xlc6_cc_array[FOO(a) == 'x' ? 1 : -1];
5681
5682int test (int i, double x);
5683struct s1 {int (*f) (int a);};
5684struct s2 {int (*f) (double a);};
5685int pairnames (int, char **, FILE *(*)(struct buf *, struct stat *, int), int, int);
5686int argc;
5687char **argv;
5688int
5689main ()
5690{
5691return f (e, argv, 0) != argv[0] || f (e, argv, 1) != argv[1];
5692 ;
5693 return 0;
5694}
5695_ACEOF
5696for ac_arg in '' -qlanglvl=extc89 -qlanglvl=ansi -std \
5697 -Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
5698do
5699 CC="$ac_save_CC $ac_arg"
5700 rm -f conftest.$ac_objext
5701if { (ac_try="$ac_compile"
5702case "(($ac_try" in
5703 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5704 *) ac_try_echo=$ac_try;;
5705esac
5706eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5707 (eval "$ac_compile") 2>conftest.er1
5708 ac_status=$?
5709 grep -v '^ *+' conftest.er1 >conftest.err
5710 rm -f conftest.er1
5711 cat conftest.err >&5
5712 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5713 (exit $ac_status); } && {
5714 test -z "$ac_c_werror_flag" ||
5715 test ! -s conftest.err
5716 } && test -s conftest.$ac_objext; then
5717 ac_cv_prog_cc_c89=$ac_arg
5718else
5719 echo "$as_me: failed program was:" >&5
5720sed 's/^/| /' conftest.$ac_ext >&5
5721
5722
5723fi
5724
5725rm -f core conftest.err conftest.$ac_objext
5726 test "x$ac_cv_prog_cc_c89" != "xno" && break
5727done
5728rm -f conftest.$ac_ext
5729CC=$ac_save_CC
5730
5731fi
5732# AC_CACHE_VAL
5733case "x$ac_cv_prog_cc_c89" in
5734 x)
5735 { echo "$as_me:$LINENO: result: none needed" >&5
5736echo "${ECHO_T}none needed" >&6; } ;;
5737 xno)
5738 { echo "$as_me:$LINENO: result: unsupported" >&5
5739echo "${ECHO_T}unsupported" >&6; } ;;
5740 *)
5741 CC="$CC $ac_cv_prog_cc_c89"
5742 { echo "$as_me:$LINENO: result: $ac_cv_prog_cc_c89" >&5
5743echo "${ECHO_T}$ac_cv_prog_cc_c89" >&6; } ;;
5744esac
5745
5746
5747ac_ext=c
5748ac_cpp='$CPP $CPPFLAGS'
5749ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5750ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5751ac_compiler_gnu=$ac_cv_c_compiler_gnu
5752
5753depcc="$CC" am_compiler_list=
5754
5755{ echo "$as_me:$LINENO: checking dependency style of $depcc" >&5
5756echo $ECHO_N "checking dependency style of $depcc... $ECHO_C" >&6; }
5757if test "${am_cv_CC_dependencies_compiler_type+set}" = set; then
5758 echo $ECHO_N "(cached) $ECHO_C" >&6
5759else
5760 if test -z "$AMDEP_TRUE" && test -f "$am_depcomp"; then
5761 # We make a subdir and do the tests there. Otherwise we can end up
5762 # making bogus files that we don't know about and never remove. For
5763 # instance it was reported that on HP-UX the gcc test will end up
5764 # making a dummy file named `D' -- because `-MD' means `put the output
5765 # in D'.
5766 mkdir conftest.dir
5767 # Copy depcomp to subdir because otherwise we won't find it if we're
5768 # using a relative directory.
5769 cp "$am_depcomp" conftest.dir
5770 cd conftest.dir
5771 # We will build objects and dependencies in a subdirectory because
5772 # it helps to detect inapplicable dependency modes. For instance
5773 # both Tru64's cc and ICC support -MD to output dependencies as a
5774 # side effect of compilation, but ICC will put the dependencies in
5775 # the current directory while Tru64 will put them in the object
5776 # directory.
5777 mkdir sub
5778
5779 am_cv_CC_dependencies_compiler_type=none
5780 if test "$am_compiler_list" = ""; then
5781 am_compiler_list=`sed -n 's/^#*\([a-zA-Z0-9]*\))$/\1/p' < ./depcomp`
5782 fi
5783 for depmode in $am_compiler_list; do
5784 # Setup a source with many dependencies, because some compilers
5785 # like to wrap large dependency lists on column 80 (with \), and
5786 # we should not choose a depcomp mode which is confused by this.
5787 #
5788 # We need to recreate these files for each test, as the compiler may
5789 # overwrite some of them when testing with obscure command lines.
5790 # This happens at least with the AIX C compiler.
5791 : > sub/conftest.c
5792 for i in 1 2 3 4 5 6; do
5793 echo '#include "conftst'$i'.h"' >> sub/conftest.c
5794 : > sub/conftst$i.h
5795 done
5796 echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
5797
5798 case $depmode in
5799 nosideeffect)
5800 # after this tag, mechanisms are not by side-effect, so they'll
5801 # only be used when explicitly requested
5802 if test "x$enable_dependency_tracking" = xyes; then
5803 continue
5804 else
5805 break
5806 fi
5807 ;;
5808 none) break ;;
5809 esac
5810 # We check with `-c' and `-o' for the sake of the "dashmstdout"
5811 # mode. It turns out that the SunPro C++ compiler does not properly
5812 # handle `-M -o', and we need to detect this.
5813 if depmode=$depmode \
5814 source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \
5815 depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \
5816 $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \
5817 >/dev/null 2>conftest.err &&
5818 grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
5819 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
5820 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
5821 # icc doesn't choke on unknown options, it will just issue warnings
5822 # (even with -Werror). So we grep stderr for any message
5823 # that says an option was ignored.
5824 if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else
5825 am_cv_CC_dependencies_compiler_type=$depmode
5826 break
5827 fi
5828 fi
5829 done
5830
5831 cd ..
5832 rm -rf conftest.dir
5833else
5834 am_cv_CC_dependencies_compiler_type=none
5835fi
5836
5837fi
5838{ echo "$as_me:$LINENO: result: $am_cv_CC_dependencies_compiler_type" >&5
5839echo "${ECHO_T}$am_cv_CC_dependencies_compiler_type" >&6; }
5840CCDEPMODE=depmode=$am_cv_CC_dependencies_compiler_type
5841
5842
5843
5844if
5845 test "x$enable_dependency_tracking" != xno \
5846 && test "$am_cv_CC_dependencies_compiler_type" = gcc3; then
5847 am__fastdepCC_TRUE=
5848 am__fastdepCC_FALSE='#'
5849else
5850 am__fastdepCC_TRUE='#'
5851 am__fastdepCC_FALSE=
5852fi
5853
5854
5855ac_ext=c
5856ac_cpp='$CPP $CPPFLAGS'
5857ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5858ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5859ac_compiler_gnu=$ac_cv_c_compiler_gnu
5860{ echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5 5082{ echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
5861echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6; } 5083echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6; }
5862# On Suns, sometimes $CPP names a directory. 5084# On Suns, sometimes $CPP names a directory.
5863if test -n "$CPP" && test -d "$CPP"; then 5085if test -n "$CPP" && test -d "$CPP"; then
5864 CPP= 5086 CPP=
9557 8779
9558 8780
9559 8781
9560 8782
9561 8783
8784
8785
9562for ac_header in sys/inotify.h sys/epoll.h sys/event.h sys/queue.h port.h poll.h sys/select.h 8786for ac_header in sys/inotify.h sys/epoll.h sys/event.h sys/queue.h port.h poll.h sys/select.h sys/eventfd.h sys/signalfd.h
9563do 8787do
9564as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 8788as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
9565if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 8789if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
9566 { echo "$as_me:$LINENO: checking for $ac_header" >&5 8790 { echo "$as_me:$LINENO: checking for $ac_header" >&5
9567echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 8791echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
9703 8927
9704 8928
9705 8929
9706 8930
9707 8931
8932
8933
9708for ac_func in inotify_init epoll_ctl kqueue port_create poll select 8934for ac_func in inotify_init epoll_ctl kqueue port_create poll select eventfd signalfd
9709do 8935do
9710as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 8936as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
9711{ echo "$as_me:$LINENO: checking for $ac_func" >&5 8937{ echo "$as_me:$LINENO: checking for $ac_func" >&5
9712echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; } 8938echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
9713if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then 8939if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
9882echo "${ECHO_T}$ac_cv_func_clock_gettime" >&6; } 9108echo "${ECHO_T}$ac_cv_func_clock_gettime" >&6; }
9883if test $ac_cv_func_clock_gettime = yes; then 9109if test $ac_cv_func_clock_gettime = yes; then
9884 : 9110 :
9885else 9111else
9886 9112
9887 if test -z "$LIBEV_M4_AVOID_LIBRT"; then 9113 if test $(uname) = Linux; then
9114 { echo "$as_me:$LINENO: checking for clock_gettime syscall" >&5
9115echo $ECHO_N "checking for clock_gettime syscall... $ECHO_C" >&6; }
9116 cat >conftest.$ac_ext <<_ACEOF
9117/* confdefs.h. */
9118_ACEOF
9119cat confdefs.h >>conftest.$ac_ext
9120cat >>conftest.$ac_ext <<_ACEOF
9121/* end confdefs.h. */
9122#include <syscall.h>
9123 #include <time.h>
9124int
9125main ()
9126{
9127struct timespec ts; int status = syscall (SYS_clock_gettime, CLOCK_REALTIME, &ts)
9128 ;
9129 return 0;
9130}
9131_ACEOF
9132rm -f conftest.$ac_objext conftest$ac_exeext
9133if { (ac_try="$ac_link"
9134case "(($ac_try" in
9135 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9136 *) ac_try_echo=$ac_try;;
9137esac
9138eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9139 (eval "$ac_link") 2>conftest.er1
9140 ac_status=$?
9141 grep -v '^ *+' conftest.er1 >conftest.err
9142 rm -f conftest.er1
9143 cat conftest.err >&5
9144 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9145 (exit $ac_status); } && {
9146 test -z "$ac_c_werror_flag" ||
9147 test ! -s conftest.err
9148 } && test -s conftest$ac_exeext &&
9149 $as_test_x conftest$ac_exeext; then
9150 ac_have_clock_syscall=1
9151
9152cat >>confdefs.h <<\_ACEOF
9153#define HAVE_CLOCK_SYSCALL 1
9154_ACEOF
9155
9156 { echo "$as_me:$LINENO: result: yes" >&5
9157echo "${ECHO_T}yes" >&6; }
9158else
9159 echo "$as_me: failed program was:" >&5
9160sed 's/^/| /' conftest.$ac_ext >&5
9161
9162 { echo "$as_me:$LINENO: result: no" >&5
9163echo "${ECHO_T}no" >&6; }
9164fi
9165
9166rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
9167 conftest$ac_exeext conftest.$ac_ext
9168 fi
9169 if test -z "$LIBEV_M4_AVOID_LIBRT" && test -z "$ac_have_clock_syscall"; then
9888 9170
9889{ echo "$as_me:$LINENO: checking for clock_gettime in -lrt" >&5 9171{ echo "$as_me:$LINENO: checking for clock_gettime in -lrt" >&5
9890echo $ECHO_N "checking for clock_gettime in -lrt... $ECHO_C" >&6; } 9172echo $ECHO_N "checking for clock_gettime in -lrt... $ECHO_C" >&6; }
9891if test "${ac_cv_lib_rt_clock_gettime+set}" = set; then 9173if test "${ac_cv_lib_rt_clock_gettime+set}" = set; then
9892 echo $ECHO_N "(cached) $ECHO_C" >&6 9174 echo $ECHO_N "(cached) $ECHO_C" >&6
10054 fi 9336 fi
10055 9337
10056fi 9338fi
10057 9339
10058 9340
9341{ echo "$as_me:$LINENO: checking for nanosleep" >&5
9342echo $ECHO_N "checking for nanosleep... $ECHO_C" >&6; }
9343if test "${ac_cv_func_nanosleep+set}" = set; then
9344 echo $ECHO_N "(cached) $ECHO_C" >&6
9345else
9346 cat >conftest.$ac_ext <<_ACEOF
9347/* confdefs.h. */
9348_ACEOF
9349cat confdefs.h >>conftest.$ac_ext
9350cat >>conftest.$ac_ext <<_ACEOF
9351/* end confdefs.h. */
9352/* Define nanosleep to an innocuous variant, in case <limits.h> declares nanosleep.
9353 For example, HP-UX 11i <limits.h> declares gettimeofday. */
9354#define nanosleep innocuous_nanosleep
9355
9356/* System header to define __stub macros and hopefully few prototypes,
9357 which can conflict with char nanosleep (); below.
9358 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
9359 <limits.h> exists even on freestanding compilers. */
9360
9361#ifdef __STDC__
9362# include <limits.h>
9363#else
9364# include <assert.h>
9365#endif
9366
9367#undef nanosleep
9368
9369/* Override any GCC internal prototype to avoid an error.
9370 Use char because int might match the return type of a GCC
9371 builtin and then its argument prototype would still apply. */
9372#ifdef __cplusplus
9373extern "C"
9374#endif
9375char nanosleep ();
9376/* The GNU C library defines this for functions which it implements
9377 to always fail with ENOSYS. Some functions are actually named
9378 something starting with __ and the normal name is an alias. */
9379#if defined __stub_nanosleep || defined __stub___nanosleep
9380choke me
9381#endif
9382
9383int
9384main ()
9385{
9386return nanosleep ();
9387 ;
9388 return 0;
9389}
9390_ACEOF
9391rm -f conftest.$ac_objext conftest$ac_exeext
9392if { (ac_try="$ac_link"
9393case "(($ac_try" in
9394 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9395 *) ac_try_echo=$ac_try;;
9396esac
9397eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9398 (eval "$ac_link") 2>conftest.er1
9399 ac_status=$?
9400 grep -v '^ *+' conftest.er1 >conftest.err
9401 rm -f conftest.er1
9402 cat conftest.err >&5
9403 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9404 (exit $ac_status); } && {
9405 test -z "$ac_c_werror_flag" ||
9406 test ! -s conftest.err
9407 } && test -s conftest$ac_exeext &&
9408 $as_test_x conftest$ac_exeext; then
9409 ac_cv_func_nanosleep=yes
9410else
9411 echo "$as_me: failed program was:" >&5
9412sed 's/^/| /' conftest.$ac_ext >&5
9413
9414 ac_cv_func_nanosleep=no
9415fi
9416
9417rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
9418 conftest$ac_exeext conftest.$ac_ext
9419fi
9420{ echo "$as_me:$LINENO: result: $ac_cv_func_nanosleep" >&5
9421echo "${ECHO_T}$ac_cv_func_nanosleep" >&6; }
9422if test $ac_cv_func_nanosleep = yes; then
9423 :
9424else
9425
9426 if test -z "$LIBEV_M4_AVOID_LIBRT"; then
9427
9428{ echo "$as_me:$LINENO: checking for nanosleep in -lrt" >&5
9429echo $ECHO_N "checking for nanosleep in -lrt... $ECHO_C" >&6; }
9430if test "${ac_cv_lib_rt_nanosleep+set}" = set; then
9431 echo $ECHO_N "(cached) $ECHO_C" >&6
9432else
9433 ac_check_lib_save_LIBS=$LIBS
9434LIBS="-lrt $LIBS"
9435cat >conftest.$ac_ext <<_ACEOF
9436/* confdefs.h. */
9437_ACEOF
9438cat confdefs.h >>conftest.$ac_ext
9439cat >>conftest.$ac_ext <<_ACEOF
9440/* end confdefs.h. */
9441
9442/* Override any GCC internal prototype to avoid an error.
9443 Use char because int might match the return type of a GCC
9444 builtin and then its argument prototype would still apply. */
9445#ifdef __cplusplus
9446extern "C"
9447#endif
9448char nanosleep ();
9449int
9450main ()
9451{
9452return nanosleep ();
9453 ;
9454 return 0;
9455}
9456_ACEOF
9457rm -f conftest.$ac_objext conftest$ac_exeext
9458if { (ac_try="$ac_link"
9459case "(($ac_try" in
9460 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9461 *) ac_try_echo=$ac_try;;
9462esac
9463eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9464 (eval "$ac_link") 2>conftest.er1
9465 ac_status=$?
9466 grep -v '^ *+' conftest.er1 >conftest.err
9467 rm -f conftest.er1
9468 cat conftest.err >&5
9469 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9470 (exit $ac_status); } && {
9471 test -z "$ac_c_werror_flag" ||
9472 test ! -s conftest.err
9473 } && test -s conftest$ac_exeext &&
9474 $as_test_x conftest$ac_exeext; then
9475 ac_cv_lib_rt_nanosleep=yes
9476else
9477 echo "$as_me: failed program was:" >&5
9478sed 's/^/| /' conftest.$ac_ext >&5
9479
9480 ac_cv_lib_rt_nanosleep=no
9481fi
9482
9483rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
9484 conftest$ac_exeext conftest.$ac_ext
9485LIBS=$ac_check_lib_save_LIBS
9486fi
9487{ echo "$as_me:$LINENO: result: $ac_cv_lib_rt_nanosleep" >&5
9488echo "${ECHO_T}$ac_cv_lib_rt_nanosleep" >&6; }
9489if test $ac_cv_lib_rt_nanosleep = yes; then
9490 cat >>confdefs.h <<_ACEOF
9491#define HAVE_LIBRT 1
9492_ACEOF
9493
9494 LIBS="-lrt $LIBS"
9495
9496fi
9497
9498 unset ac_cv_func_nanosleep
9499
9500for ac_func in nanosleep
9501do
9502as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
9503{ echo "$as_me:$LINENO: checking for $ac_func" >&5
9504echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
9505if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
9506 echo $ECHO_N "(cached) $ECHO_C" >&6
9507else
9508 cat >conftest.$ac_ext <<_ACEOF
9509/* confdefs.h. */
9510_ACEOF
9511cat confdefs.h >>conftest.$ac_ext
9512cat >>conftest.$ac_ext <<_ACEOF
9513/* end confdefs.h. */
9514/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
9515 For example, HP-UX 11i <limits.h> declares gettimeofday. */
9516#define $ac_func innocuous_$ac_func
9517
9518/* System header to define __stub macros and hopefully few prototypes,
9519 which can conflict with char $ac_func (); below.
9520 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
9521 <limits.h> exists even on freestanding compilers. */
9522
9523#ifdef __STDC__
9524# include <limits.h>
9525#else
9526# include <assert.h>
9527#endif
9528
9529#undef $ac_func
9530
9531/* Override any GCC internal prototype to avoid an error.
9532 Use char because int might match the return type of a GCC
9533 builtin and then its argument prototype would still apply. */
9534#ifdef __cplusplus
9535extern "C"
9536#endif
9537char $ac_func ();
9538/* The GNU C library defines this for functions which it implements
9539 to always fail with ENOSYS. Some functions are actually named
9540 something starting with __ and the normal name is an alias. */
9541#if defined __stub_$ac_func || defined __stub___$ac_func
9542choke me
9543#endif
9544
9545int
9546main ()
9547{
9548return $ac_func ();
9549 ;
9550 return 0;
9551}
9552_ACEOF
9553rm -f conftest.$ac_objext conftest$ac_exeext
9554if { (ac_try="$ac_link"
9555case "(($ac_try" in
9556 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9557 *) ac_try_echo=$ac_try;;
9558esac
9559eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9560 (eval "$ac_link") 2>conftest.er1
9561 ac_status=$?
9562 grep -v '^ *+' conftest.er1 >conftest.err
9563 rm -f conftest.er1
9564 cat conftest.err >&5
9565 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9566 (exit $ac_status); } && {
9567 test -z "$ac_c_werror_flag" ||
9568 test ! -s conftest.err
9569 } && test -s conftest$ac_exeext &&
9570 $as_test_x conftest$ac_exeext; then
9571 eval "$as_ac_var=yes"
9572else
9573 echo "$as_me: failed program was:" >&5
9574sed 's/^/| /' conftest.$ac_ext >&5
9575
9576 eval "$as_ac_var=no"
9577fi
9578
9579rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
9580 conftest$ac_exeext conftest.$ac_ext
9581fi
9582ac_res=`eval echo '${'$as_ac_var'}'`
9583 { echo "$as_me:$LINENO: result: $ac_res" >&5
9584echo "${ECHO_T}$ac_res" >&6; }
9585if test `eval echo '${'$as_ac_var'}'` = yes; then
9586 cat >>confdefs.h <<_ACEOF
9587#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
9588_ACEOF
9589
9590fi
9591done
9592
9593 fi
9594
9595fi
9596
9597
10059 9598
10060{ echo "$as_me:$LINENO: checking for ceil in -lm" >&5 9599{ echo "$as_me:$LINENO: checking for ceil in -lm" >&5
10061echo $ECHO_N "checking for ceil in -lm... $ECHO_C" >&6; } 9600echo $ECHO_N "checking for ceil in -lm... $ECHO_C" >&6; }
10062if test "${ac_cv_lib_m_ceil+set}" = set; then 9601if test "${ac_cv_lib_m_ceil+set}" = set; then
10063 echo $ECHO_N "(cached) $ECHO_C" >&6 9602 echo $ECHO_N "(cached) $ECHO_C" >&6
10124_ACEOF 9663_ACEOF
10125 9664
10126 LIBS="-lm $LIBS" 9665 LIBS="-lm $LIBS"
10127 9666
10128fi 9667fi
10129
10130
10131 9668
10132 9669
10133 9670
10134 9671
10135ac_ext=cpp 9672ac_ext=cpp
10855 10392
10856fi 10393fi
10857 10394
10858 10395
10859 10396
10860# Check whether --enable-rohc was given.
10861if test "${enable_rohc+set}" = set; then
10862 enableval=$enable_rohc;
10863 echo
10864 echo "**********************************************************************"
10865 echo "**********************************************************************"
10866 echo "**** --enable-rohc is highly experimental, do not use ****************"
10867 echo "**********************************************************************"
10868 echo "**********************************************************************"
10869 echo
10870 rohc=true
10871
10872cat >>confdefs.h <<_ACEOF
10873#define ENABLE_ROHC 1
10874_ACEOF
10875
10876
10877
10878fi
10879
10880 10397
10881 10398
10882 10399
10883if test x$rohc = xtrue; then 10400if test x$rohc = xtrue; then
10884 ROHC_TRUE= 10401 ROHC_TRUE=
10888 ROHC_FALSE= 10405 ROHC_FALSE=
10889fi 10406fi
10890 10407
10891 10408
10892 10409
10410ICMP=1
10893# Check whether --enable-icmp was given. 10411# Check whether --enable-icmp was given.
10894if test "${enable_icmp+set}" = set; then 10412if test "${enable_icmp+set}" = set; then
10895 enableval=$enable_icmp; 10413 enableval=$enable_icmp; if test "x$enableval" = xno; then
10414 ICMP=0
10415 fi
10416
10417fi
10418
10419if test "x$ICMP" = x1; then
10420
10896cat >>confdefs.h <<_ACEOF 10421cat >>confdefs.h <<_ACEOF
10897#define ENABLE_ICMP 1 10422#define ENABLE_ICMP 1
10898_ACEOF 10423_ACEOF
10899 10424
10900
10901fi 10425fi
10902 10426
10903 10427TCP=1
10904# Check whether --enable-tcp was given. 10428# Check whether --enable-tcp was given.
10905if test "${enable_tcp+set}" = set; then 10429if test "${enable_tcp+set}" = set; then
10906 enableval=$enable_tcp; 10430 enableval=$enable_tcp; if test "x$enableval" = xno; then
10431 TCP=0
10432 fi
10433
10434fi
10435
10436if test "x$TCP" = x1; then
10437
10907cat >>confdefs.h <<_ACEOF 10438cat >>confdefs.h <<_ACEOF
10908#define ENABLE_TCP 1 10439#define ENABLE_TCP 1
10909_ACEOF 10440_ACEOF
10910 10441
10911
10912fi 10442fi
10913 10443
10444HTTP=1
10445# Check whether --enable-http-proxy was given.
10446if test "${enable_http_proxy+set}" = set; then
10447 enableval=$enable_http_proxy; if test "x$enableval" = xno; then
10448 HTTP=0
10449 fi
10450
10451fi
10452
10453if test "x$HTTP" = x1; then
10454
10455cat >>confdefs.h <<_ACEOF
10456#define ENABLE_HTTP_PROXY 1
10457_ACEOF
10458
10459fi
10914 10460
10915# Check whether --enable-dns was given. 10461# Check whether --enable-dns was given.
10916if test "${enable_dns+set}" = set; then 10462if test "${enable_dns+set}" = set; then
10917 enableval=$enable_dns; 10463 enableval=$enable_dns;
10918 if test "${ac_cv_header_gmp_h+set}" = set; then 10464 if test "${ac_cv_header_gmp_h+set}" = set; then
11127 10673
11128 10674
11129fi 10675fi
11130 10676
11131 10677
11132# Check whether --enable-http-proxy was given.
11133if test "${enable_http_proxy+set}" = set; then
11134 enableval=$enable_http_proxy;
11135cat >>confdefs.h <<_ACEOF
11136#define ENABLE_HTTP_PROXY 1
11137_ACEOF
11138
11139
11140fi
11141
11142
11143HMAC=12 10678HMAC=12
11144# Check whether --enable-hmac-length was given. 10679# Check whether --enable-hmac-length was given.
11145if test "${enable_hmac_length+set}" = set; then 10680if test "${enable_hmac_length+set}" = set; then
11146 enableval=$enable_hmac_length; HMAC=$enableval 10681 enableval=$enable_hmac_length; HMAC=$enableval
11147 10682
11165#define RAND_SIZE $RAND 10700#define RAND_SIZE $RAND
11166_ACEOF 10701_ACEOF
11167 10702
11168 10703
11169MTU=1500 10704MTU=1500
11170# Check whether --enable-mtu was given. 10705# Check whether --enable-max-mtu was given.
11171if test "${enable_mtu+set}" = set; then 10706if test "${enable_max_mtu+set}" = set; then
11172 enableval=$enable_mtu; MTU=$enableval 10707 enableval=$enable_max_mtu; MTU=$enableval
11173 10708
11174fi 10709fi
11175 10710
11176 10711
11177cat >>confdefs.h <<_ACEOF 10712cat >>confdefs.h <<_ACEOF
11230 10765
11231if $CXX -v --help 2>&1 | grep -q fno-rtti; then 10766if $CXX -v --help 2>&1 | grep -q fno-rtti; then
11232 CXXFLAGS="$CXXFLAGS -fno-rtti" 10767 CXXFLAGS="$CXXFLAGS -fno-rtti"
11233fi 10768fi
11234 10769
11235if $CXX -v --help 2>&1 | grep -q fexceptions; then 10770#if $CXX -v --help 2>&1 | grep -q fexceptions; then
11236 CXXFLAGS="$CXXFLAGS -fno-exceptions" 10771# CXXFLAGS="$CXXFLAGS -fno-exceptions"
11237fi 10772#fi
11238 10773
11239LIBS="$EXTRA_LIBS $LIBS" 10774LIBS="$EXTRA_LIBS $LIBS"
11240 10775
11241 10776
11242 10777
11348fi 10883fi
11349if test -z "${AMDEP_TRUE}" && test -z "${AMDEP_FALSE}"; then 10884if test -z "${AMDEP_TRUE}" && test -z "${AMDEP_FALSE}"; then
11350 { { echo "$as_me:$LINENO: error: conditional \"AMDEP\" was never defined. 10885 { { echo "$as_me:$LINENO: error: conditional \"AMDEP\" was never defined.
11351Usually this means the macro was only invoked conditionally." >&5 10886Usually this means the macro was only invoked conditionally." >&5
11352echo "$as_me: error: conditional \"AMDEP\" was never defined. 10887echo "$as_me: error: conditional \"AMDEP\" was never defined.
11353Usually this means the macro was only invoked conditionally." >&2;}
11354 { (exit 1); exit 1; }; }
11355fi
11356if test -z "${am__fastdepCC_TRUE}" && test -z "${am__fastdepCC_FALSE}"; then
11357 { { echo "$as_me:$LINENO: error: conditional \"am__fastdepCC\" was never defined.
11358Usually this means the macro was only invoked conditionally." >&5
11359echo "$as_me: error: conditional \"am__fastdepCC\" was never defined.
11360Usually this means the macro was only invoked conditionally." >&2;} 10888Usually this means the macro was only invoked conditionally." >&2;}
11361 { (exit 1); exit 1; }; } 10889 { (exit 1); exit 1; }; }
11362fi 10890fi
11363if test -z "${am__fastdepCC_TRUE}" && test -z "${am__fastdepCC_FALSE}"; then 10891if test -z "${am__fastdepCC_TRUE}" && test -z "${am__fastdepCC_FALSE}"; then
11364 { { echo "$as_me:$LINENO: error: conditional \"am__fastdepCC\" was never defined. 10892 { { echo "$as_me:$LINENO: error: conditional \"am__fastdepCC\" was never defined.

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines